This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 251875 - rdiff-backup should depend on pylibacl and pyxattr packages
rdiff-backup should depend on pylibacl and pyxattr packages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: rdiff-backup (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-12 23:27 EDT by Matthew Flaschen
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.0.5-5.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-29 13:30:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Adds dependencies on pylibacl and pyxattr to spec file (538 bytes, patch)
2007-08-13 00:07 EDT, Matthew Flaschen
no flags Details | Diff

  None (edit)
Description Matthew Flaschen 2007-08-12 23:27:28 EDT
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:

As root, run:

# yum remove pylibacl pyxattr
# yum install rdiff-backup
# rdiff-backup source destination

Actual results:

Unable to import module xattr.
...
Unable to import module posix1e from pylibacl package.

Expected results:

pyxattr and pylibacl are automatically installed as dependencies, so
rdiff-backup does not give these warnings.
Comment 1 Matthew Flaschen 2007-08-13 00:07:09 EDT
Created attachment 161150 [details]
Adds dependencies on pylibacl and pyxattr to spec file
Comment 2 Kevin Fenzi 2007-08-13 00:38:41 EDT
Ugh. This was fixed a while back, and built for F7, but never pushed out as an
update. ;( 

Gavin: Shall I go ahead and push that update out for F7 and build for devel and
FC6 or would you like to?
Comment 3 Gavin Henry 2007-08-13 02:15:22 EDT
Yeah, sure.
Comment 4 Kevin Fenzi 2007-08-13 18:44:04 EDT
I have pushed a build for devel/rawhide, and requested a push of a F7 version to
updates-testing. 

Please test. You can get the F7 build direct from koji: 
http://koji.fedoraproject.org/koji/buildinfo?buildID=13651
Comment 5 Fedora Update System 2007-08-15 15:39:44 EDT
rdiff-backup-1.0.5-5.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2007-08-29 13:30:37 EDT
rdiff-backup-1.0.5-5.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.